(function($, doc) {
	$.ready(function(){
		var app={
			ui:{
				ipt:"#amount",
			},
			data:{
				appid:"133450ef-7d59-4729-bf0f-f7c887b4cbb8",
				lastval:""
			},
			urls:{
				orderUrl:"index.php?c=donate&a=donateMoney"
			},
			method:{
				beecloudPay:function(bcChannel){
					//beecloud的支付是不用调后台的，纯前端逻辑，这里增加后台接口为了保存支付记录
					if($(app.ui.ipt)[0].value==""){
						plus.nativeUI.toast("输入金额后再确认！");
						return;
					}
					var params={
						total:$(app.ui.ipt)[0].value//元为单位的
					}
					$.fn.selfAjax({
						url:app.urls.orderUrl,
						method:"post",
						params:params,
						success:function(res){
							/*
							 * 构建支付参数
							 * 
							 * app_id: BeeCloud控制台上创建的APP的appid，必填 
							 * title: 订单标题，32个字节，最长支持16个汉字；必填
							 * channel:支付方式：只需要支持两种：微信（WX_APP），支付宝（ALI_APP）,必填
							 * total_fee: 支付金额，以分为单位，大于0的整数，必填
							 * bill_no: 订单号，8~32位数字和/或字母组合,确保在商户系统中唯一，必填
							 * optional: 扩展参数,可以传入任意数量的key/value对来补充对业务逻辑的需求;此参数会在webhook回调中返回; 选填
							 * bill_timeout: 订单失效时间,必须为非零正整数，单位为秒，必须大于360。选填 
							 */
							
							var payData = {
								app_id: app.data.appid,
								channel: bcChannel,
								title: "共数网捐赠",
								total_fee: res.result.total*100,
								bill_no: res.result.order_sn,
//								total_fee: 1,					//测试一分钱，打包记得更改
//								bill_no: beecloud.genBillNo(),
								optional: {
									
								},
								bill_timeout: 360
							};
							console.log(JSON.stringify(payData))
							/*
							 *  发起支付
							 *  payData: 支付参数
							 *  cbsuccess: 支付成功回调
							 *  cberror: 支付失败回调
							 */
							beecloud.payReq(payData, function(result) {
								console.log(result);
							}, function(e) {
								console.log(JSON.stringify(e));
								plus.nativeUI.alert(e.message);
								$(app.ui.ipt)[0].value="";
							});
						}
						
					});
				}
			}
		}
			$.init({
				swipeBack: true, //启用右滑关闭功能
		 	 	
			});
			$.back=function(){
				 $.currentWebview.close();
			}
			$.plusReady(function() {
				$.fn.setWebviewHeight();
				$("body").on("tap",".pay",function(){
					var channel_id=null;
					switch (this.id) { 
						case 'alipay':
							channel_id = 'ALI_APP';
							break;
						case 'wxpay':
							channel_id = 'WX_APP';
							break;
						default:
							break;
					}
					app.method.beecloudPay(channel_id);
				});
				//控制输入框两位小数
				$(app.ui.ipt)[0].addEventListener("keyup",function(){
					var amount=$(app.ui.ipt)[0].value;
					if(amount=="")return;
				 	if(!(/^[0-9]+([.]{1}[0-9]{1,2})?$/.test(amount))){
				 		$(app.ui.ipt)[0].value=app.data.lastval;
				 	}else{
				 		app.data.lastval=$(app.ui.ipt)[0].value;
				 	}
				})

			})
	})

}(mui,document))
